MS05-004: Una vulnerabilidad en la validación de rutas de ASP.NET podría permitir el acceso no autorizado

Seleccione idioma Seleccione idioma
Id. de artículo: 887219 - Ver los productos a los que se aplica este artículo

Actualizaciones técnicas

  • 14 de junio de 2005 Después de la publicación de este boletín, se determinó que la actualización para el Service Pack 3 de Microsoft .NET Framework 1.0 para el sistema operativo Microsoft Windows XP Tablet PC Edition y Microsoft Windows XP Media Center Edition no se podía instalar cuando se distribuía a través de SMS o Actualizaciones automáticas. El paquete actualizado corrige este problema.
  • 8 de agosto de 2006 Después de la publicación de este boletín, se determinó que la vulnerabilidad también afecta a las versiones basadas en Itanium de los sistemas operativos Microsoft Windows Server 2003, al Service Pack 1 de .NET Framework 1.1 las versiones de 64 bits de los sistemas operativos Microsoft Windows Server 2003 y Windows XP Professional x64 Edition. Microsoft ha publicado el boletín de seguridad MS05-004 que contiene información adicional acerca de estos sistemas operativos en la sección ?Software afectado?.
Expandir todo | Contraer todo
Microsoft ha vuelto a publicar el boletín de seguridad MS05-004, que contiene toda la información relevante acerca de la actualización de seguridad, incluida la lista detallada de archivos y las opciones de implementación. Para ver el boletín de seguridad completo, visite el siguiente sitio Web de Microsoft: Para obtener más información acerca del impacto en el rendimiento de ASP.NET después de instalar la actualización de seguridad MS05-004, haga clic en los números de artículo siguientes para verlos en Microsoft Knowledge Base:
891829 El rendimiento de ASP.NET podría verse afectado después de instalar la actualización de seguridad MS05-004
894670 Puede recibir mensajes de error cuando explora o intenta depurar una aplicación ASP.NET después de instalar la actualización de seguridad 887219 (MS05-004)
Para obtener más información acerca de cómo solucionar problemas de instalación de Microsoft .NET Framework 1.1, haga clic en el número de artículo siguiente para verlo en Microsoft Knowledge Base:
824643 Cómo solucionar problemas de instalación de Microsoft .NET Framework 1.1
Para obtener más información al respecto, haga clic en el número de artículo siguiente para verlo en Microsoft Knowledge Base:
268800 Windows Installer debe tener archivos de origen originales cuando aplique una revisión
Para obtener más información acerca de un módulo HTTP que permite comprobar si existen problemas de creación de nombres canónicos con ASP.NET, haga clic en el número de artículo siguiente para verlo en Microsoft Knowledge Base:
887289 El módulo HTTP comprueba la existencia de problemas de creación de nombres canónicos con ASP.NET
Para obtener más información acerca de cómo utilizar el escáner del módulo ValidatePath de ASP.NET, haga clic en el número de artículo siguiente para verlo en Microsoft Knowledge Base:
887290 Cómo usar el escáner del módulo ValidatePath de ASP.NET (VPModuleScanner.js)

Más información

La actualización de seguridad MS05-004 que instale dependerá de la configuración de su equipo. A continuación se muestra una lista de las distintas actualizaciones MS05-004 por sistema operativo.

Actualización de seguridad 886906

La actualización de seguridad 886906 se aplica a Microsoft .NET Framework 1.0 Service Pack 3 para los sistemas operativos siguientes:
  • Service Pack 3 de Microsoft Windows 2000 o Service Pack 4 de Windows 2000
  • Service Pack 1 de Windows XP o Service Pack 2 de Windows XP
  • Windows Server 2003, Windows Server 2003 Service Pack 1 o Windows Server 2003 Service Pack 2
  • Windows Server 2003 x64 Edition o Windows Server 2003 x64 Edition Service Pack 2
  • Windows Server 2003 para sistemas basados en Itanium, Windows Server 2003 con el Service Pack 1 para sistemas basados en Itanium o Windows Server 2003 con el Service Pack 2 para sistemas basados en Itanium
  • Windows Vista

Actualización de seguridad 887998

La actualización de seguridad 887998 se aplica a .NET Framework 1.0 Service Pack 3 para los sistemas operativos siguientes:
  • Windows XP Tablet PC Edition
  • Windows XP Media Center Edition

Actualización de seguridad 886905

La actualización de seguridad 886905 se aplica a .NET Framework 1.0 Service Pack 2 para los sistemas operativos siguientes:
  • Service Pack 3 de Windows 2000 o Service Pack 4 de Windows 2000
  • Service Pack 1 de Windows XP o Service Pack 2 de Windows XP
  • Windows Server 2003, Windows Server 2003 Service Pack 1 o Windows Server 2003 Service Pack 2
  • Windows Server 2003 x64 Edition o Windows Server 2003 x64 Edition Service Pack 2
  • Windows Server 2003 para sistemas basados en Itanium, Windows Server 2003 con el Service Pack 1 para sistemas basados en Itanium o Windows Server 2003 con el Service Pack 2 para sistemas basados en Itanium

Actualización de seguridad 887999

La actualización de seguridad 887999 se aplica a .NET Framework 1.0 Service Pack 2 para los sistemas operativos siguientes:
  • Windows XP Tablet PC Edition
  • Windows XP Media Center Edition

Actualización de seguridad 886903

La actualización de seguridad 886903 se aplica a .NET Framework 1.1 Service Pack 1 para los sistemas operativos siguientes:
  • Service Pack 3 de Windows 2000 o Service Pack 4 de Windows 2000
  • Service Pack 1 de Windows XP o Service Pack 2 de Windows XP
  • Windows XP Tablet PC Edition
  • Windows XP Media Center Edition
  • Windows XP Professional x64 Edition o Windows XP Professional x64 Edition Service Pack 2
  • Windows Server 2003, Windows Server 2003 Service Pack 1 o Windows Server 2003 Service Pack 2
  • Windows Server 2003 x64 Edition o Windows Server 2003 x64 Edition Service Pack 2
  • Windows Server 2003 para sistemas basados en Itanium, Windows Server 2003 con el Service Pack 1 para sistemas basados en Itanium o Windows Server 2003 con el Service Pack 2 para sistemas basados en Itanium

Actualización de seguridad 886904

La actualización de seguridad 886904 se aplica a .NET Framework 1.1 para los sistemas operativos siguientes:
  • Service Pack 3 de Windows 2000 o Service Pack 4 de Windows 2000
  • Service Pack 1 de Windows XP o Service Pack 2 de Windows XP
  • Windows XP Tablet PC Edition
  • Windows XP Media Center Edition
  • Windows Server 2003, Windows Server 2003 Service Pack 1 o Windows Server 2003 Service Pack 2
  • Windows Server 2003 x64 Edition o Windows Server 2003 x64 Edition Service Pack 2
  • Windows Server 2003 para sistemas basados en Itanium, Windows Server 2003 con el Service Pack 1 para sistemas basados en Itanium o Windows Server 2003 con el Service Pack 2 para sistemas basados en Itanium

Propiedades

Id. de artículo: 887219 - Última revisión: lunes, 03 de diciembre de 2007 - Versión: 6.2
La información de este artículo se refiere a:
  • Microsoft .NET Framework 1.0 Service Pack 2
  • Microsoft .NET Framework 1.0 Service Pack 3
  • Microsoft .NET Framework 1.1
  • Microsoft .NET Framework 1.1 Service Pack 1
Palabras clave: 
kbbug kbfix kbsecvulnerability kbsecurity kbsecbulletin KB887219

Enviar comentarios

 

Contact us for more help

Contact us for more help
Connect with Answer Desk for expert help.
Get more support from smallbusiness.support.microsoft.com